### Hierarchy

- unknown
  - Offer

## Index

### Constructors

- constructor

### Methods

- clearOfferPayload
- getOfferPayload
- hasOfferPayload
- serializeBinary
- setOfferPayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Offer(): Offer

- Inherited from jspb.Message.constructor

  #### Returns Offer

## Methods

### clearOfferPayload

- clearOfferPayload(): Offer

- - Defined in src/protobuf/pb_pb.d.ts:6454

  #### Returns Offer

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:6451

  #### Returns undefined | OfferPayload

### hasOfferPayload

- hasOfferPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6453

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6456

  #### Returns Uint8Array

### setOfferPayload

- setOfferPayload(value?: OfferPayload ): Offer

- - Defined in src/protobuf/pb_pb.d.ts:6452

  #### Parameters

  - ##### Optional value: OfferPayload

  #### Returns Offer

### toObject

- toObject(includeInstance?: boolean): Offer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6457

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Offer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Offer

- - Defined in src/protobuf/pb_pb.d.ts:6460

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Offer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Offer, reader: BinaryReader): Offer

- - Defined in src/protobuf/pb_pb.d.ts:6461

  #### Parameters

  - ##### message: Offer

  - ##### reader: BinaryReader

  #### Returns Offer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Offer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6459

  #### Parameters

  - ##### message: Offer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Offer ): Offer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6458

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Offer

  #### Returns Offer . AsObject

Generated using TypeDoc